module.exports = {
	events: {
		"click .burger": "toggle",
		"click .coverer": "toggle",
		"click nav": "toggle"
	},
	attach: function(){
		$('.coverer').scroll(function(e){
			e.preventDefault()
		})
	},
	toggle: function() {
		$(window).scrollTop();
		this.$el.toggleClass('visible');
		if(this.$el.hasClass('visible') && window.innerWidth <= 800) {
			$(document.body).css('overflow-y','hidden')
		}else{
			$(document.body).css('overflow-y','scroll')
		}
	}
}